For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kick Members

Remove members from a specific Sonoran Radio server.

Kick Members

POST /v2/servers/:communityId/members/kick

Rate limit: 4 requests per minute

Removes members from the selected server and disconnects them from live radio sessions when applicable.

Headers

Name
Value

Authorization

Bearer <community-api-key>

Content-Type

application/json

Examples

local response = client.radio:kickMembersV2({
  "91de0ce8-c571-11e9-9714-5600023b2434"
}, 1)
const response = await instance.radio?.kickMembersV2([
  "91de0ce8-c571-11e9-9714-5600023b2434"
], 1);
response = instance.radio.kickMembersV2([
    "91de0ce8-c571-11e9-9714-5600023b2434"
], 1)
var response = await sonoran.Radio.kickMembersV2(new[]
{
    "91de0ce8-c571-11e9-9714-5600023b2434"
});
openapi: 3.1.0
paths:
  /v2/servers/{communityId}/members/kick:
    post:
      security:
        - bearerAuth: []
curl -X POST "https://api.sonoranradio.com/v2/servers/YOUR_COMMUNITY_ID/members/kick" \
  -H "Authorization: Bearer your-community-api-key" \
  -H "Content-Type: application/json" \
  -d "{\"accIds\":[\"91de0ce8-c571-11e9-9714-5600023b2434\"]}"

Response

Successful requests return application/json.

{
  "kickedAccIds": [
    "91de0ce8-c571-11e9-9714-5600023b2434"
  ]
}

Last updated

Was this helpful?